# used to indicate difference between new/old dictionary formats
%define dict_format_version	2.4.2
%define subver 2

Name:		stardict
Version:	3.0.6.3
Release:	%mkrel 2
Summary:	International dictionary written for GNOME
License:	GPLv3+
Group:		Office/Dictionary
URL:		https://stardict-4.sourceforge.net/
Source0:	https://sourceforge.net/projects/stardict-4/files/%{version}/%{name}-%{version}-%{subver}-src.7z
Source1:	defaultdict.cfg
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(espeak-ng)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(flite)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	mysql-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	p7zip

Requires:	stardict-dictionary = %{dict_format_version}

Obsoletes:	%{name}-tools < %{version}
Provides:	%{name}-tools = %{version}
Conflicts:	stardict-dictionary < %{dict_format_version}
Conflicts:	stardict-dictionary > %{dict_format_version}

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries


%prep
%autosetup

# build without gconf
sed -i -e '/AM_GCONF_SOURCE_2/d' dict/configure.ac

%build
autoreconf -vfi
# hack for mariadb 10.5.4
# /usr/include/mysql/server/my_alloc.h:23:10: fatal error: mysql/psi/psi_memory.h: No such file or directory
export CPATH="%{_includedir}/mysql/server"
# hack for mariadb 10.9.4
# /usr/include/mysql/server/mysql.h:66:10: fatal error: mariadb_capi_rename.h: No such file or directory
export CPATH="%{_includedir}/mysql/server/private"

pushd dict
autoreconf -vfi
%before_configure
popd

export CXXFLAGS="%{optflags} -Wno-error=format-security"
%configure \
	--disable-gnome-support \
	--disable-schemas-install \
	--disable-espeak \
	--disable-festival \
	--disable-gucharmap \
	--disable-tools \
	--disable-scrollkeeper

%make_build

%install
%make_install

# we don't want reclame and update info
find %{buildroot} -name '%{name}_update_info.so' -delete

# we don't want these
find %{buildroot} -name '*.la' -delete

# copy config file of locale specific default dictionaries
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/defaultdict.cfg

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

install -m 0644 dict/pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -geometry 32x32 dict/pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -geometry 16x16 dict/pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# menu-entry
desktop-file-install --vendor="" \
	--add-category="GTK" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# own various directories
mkdir -p %{buildroot}%{_datadir}/stardict/dic \
	 %{buildroot}%{_datadir}/stardict/treedict

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING README dict/AUTHORS dict/ChangeLog dict/doc/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/defaultdict.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man?/%{name}.1*


%changelog
* Sun Apr 16 2023 daviddavid <daviddavid> 3.0.6.3-2.mga9
+ Revision: 1953307
- disable tools support (need old libpcre)
- remove no more needed old pcre-devel build dependency

* Thu Mar 30 2023 kekepower <kekepower> 3.0.6.3-1.mga9
+ Revision: 1950814
- BR p7zip to unpack the source
- Update to version 3.0.6.3
+ daviddavid <daviddavid>
- add hack around to fix build with mariadb 10.9.4

* Sat Apr 02 2022 umeabot <umeabot> 3.0.6.2-2.mga9
+ Revision: 1841116
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 daviddavid <daviddavid> 3.0.6.2-1.mga8
+ Revision: 1664430
- new version: 3.0.6.2

* Wed Oct 28 2020 daviddavid <daviddavid> 3.0.6-10.mga8
+ Revision: 1640092
- pull in BR pkgconfig(x11) to fix build

* Thu Jul 23 2020 daviddavid <daviddavid> 3.0.6-9.mga8
+ Revision: 1608154
- fix build with mariadb 10.5.4
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 3.0.6-8.mga8
+ Revision: 1523601
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 11 2019 wally <wally> 3.0.6-7.mga7
+ Revision: 1374293
- fix build without gconf

* Sat Feb 23 2019 wally <wally> 3.0.6-6.mga7
+ Revision: 1369591
- switch to enchant2

* Sun Sep 23 2018 umeabot <umeabot> 3.0.6-5.mga7
+ Revision: 1301185
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 daviddavid <daviddavid> 3.0.6-4.mga7
+ Revision: 1185235
- add patch to fix build with new mariadb 10.2

* Fri Feb 12 2016 umeabot <umeabot> 3.0.6-3.mga6
+ Revision: 958915
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 daviddavid <daviddavid> 3.0.6-2.mga6
+ Revision: 873135
- compile C++ code with -std=gnu++11 to fix build with latest libsigc++
- rebuild with gcc 5.2.1

* Thu Feb 19 2015 daviddavid <daviddavid> 3.0.6-1.mga5
+ Revision: 815951
- new version: 3.0.6
- fix doc files

* Tue Feb 03 2015 alexl <alexl> 3.0.5-5.mga5
+ Revision: 813292
- don't show reclame and update info

* Sat Jan 10 2015 daviddavid <daviddavid> 3.0.5-4.mga5
+ Revision: 809742
- update desktop file adding GenericName

* Wed Oct 15 2014 umeabot <umeabot> 3.0.5-3.mga5
+ Revision: 739302
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.5-2.mga5
+ Revision: 689337
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 daviddavid <daviddavid> 3.0.5-1.mga5
+ Revision: 669592
- remove no longer needed previous patches
- minor cosmetic change
- update URL and Source0 link-url
- update category on desktop-file-install
- new version: 3.0.5

* Sat Oct 19 2013 umeabot <umeabot> 3.0.4-3.mga4
+ Revision: 527743
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 fwang <fwang> 3.0.4-2.mga4
+ Revision: 442061
- update file list
- add back mysql
- do not build libgnome, it is too old

* Wed Jun 12 2013 fwang <fwang> 3.0.4-1.mga4
+ Revision: 442035
- new version 3.0.4

* Mon Jan 14 2013 umeabot <umeabot> 3.0.3-7.mga3
+ Revision: 382703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 3.0.3-6.mga3
+ Revision: 299217
- fix RPM group

* Mon Apr 16 2012 fwang <fwang> 3.0.3-5.mga2
+ Revision: 231007
- fix preun script

* Mon Apr 16 2012 fwang <fwang> 3.0.3-4.mga2
+ Revision: 230985
- correct build flags

* Mon Apr 16 2012 fwang <fwang> 3.0.3-3.mga2
+ Revision: 230981
- add opensuse patch to fix crash at startup

* Mon Apr 16 2012 fwang <fwang> 3.0.3-2.mga2
+ Revision: 230977
- use gentoo patch instead
- update patch
- add debian patch to fix build with latest zlib
- rebuild

* Mon Jan 30 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 203205
- cleanup old patches
- merged stardict-tools, it seems

* Mon Jan 30 2012 fwang <fwang> 3.0.3-0.mga2
+ Revision: 203200
- fix icon instlal
- rediff gcc 4.6 patch
- fix str fmt
- br mysql
- do not use autoreconf, it is not needed since patches are disabled
- fix build with latest glib
+ kamil <kamil>
- new versdion 3.0.3
- disable all patches, they seem merged
- update URL
- update SOURCE

* Wed Sep 21 2011 fwang <fwang> 3.0.2-2.mga2
+ Revision: 146306
- fix typo
- drop .la files

* Sun Jun 26 2011 wally <wally> 3.0.2-1.mga2
+ Revision: 113955
- sync patches with Fedora (drop some and add P8 & P9)
- rediff P0
- add P10 to fix build with --as-needed
- disable gucharmap support for now
- clean .spec a bit
+ tv <tv>
- new release

* Sun Feb 20 2011 grenoya <grenoya> 3.0.1-9.mga1
+ Revision: 54797
-imported package stardict
- imported package stardict


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-9mdv2011.0
+ Revision: 607562
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-8mdv2010.1
+ Revision: 521556
- rebuilt for 2010.1

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 3.0.1-7mdv2010.0
+ Revision: 411893
- fix format error of patch
- add defaultdict.cfg
- sync with fedora patches

* Tue May 26 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.0.1-5mdv2010.0
+ Revision: 379997
- fix build with gcc 4.4

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 3.0.1-5mdv2009.1
+ Revision: 366328
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 3.0.1-5mdv2009.0
+ Revision: 259326
- sync with fedora patches

  + Götz Waschk <waschk@mandriva.org>
    - disable unused configure options
    - fix buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Adam Williamson <awilliamson@mandriva.org> 3.0.1-4mdv2009.0
+ Revision: 210636
- fd.o icons
- new license policy
- add two gcc43 build patches from upstream SVN (rev 250 and 256)
- disable advertisement and update info plugins (useless and annoying)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 3.0.1-3mdv2008.1
+ Revision: 171127
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 09 2007 Funda Wang <fwang@mandriva.org> 2mdv2008.1-current
+ Revision: 107077
- New version 3.0.1

* Tue Sep 25 2007 Funda Wang <fwang@mandriva.org> 3.0.0-2mdv2008.0
+ Revision: 92737
- fix desktop icon ext

* Mon Aug 13 2007 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 62573
- disable festival for now
- Add flag for speech_tools dir
- BR speech_tools
- More buildrequires
- New version 3.0.0

* Thu Apr 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.4.8-2mdv2008.0
+ Revision: 14889
- Kill old debian menu


* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-11-02 20:56:56 (75962)
- add BuildRequires: desktop-file-utils

* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-11-02 20:54:34 (75961)
Import stardict

* Mon Aug 21 2006 Funda Wang <fundawang@gmail.com> 2.4.8-1mdv2007.0
- New release 2.4.8
- Switch to xdg menu
- Conditional building
- fix xdg migration (tv)

* Sat Aug 19 2006 Emmanuel Andry <eandry@mandriva.org> 2.4.7-3mdv2007.0
- rebuild for libdbus

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.7-2mdk
- add BuildRequires: libpcre-devel

* Sat May 13 2006 Eskild Hustvedt <eskild@mandriva.org> 2.4.7-1mdk
- New version 2.4.7

* Fri Jan 27 2006 Eskild Hustvedt <eskild@mandriva.org> 2.4.6-1mdk
- New version 2.4.6

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-4mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.5-3mdk
- Fix BuildRequires

* Sun Oct 02 2005 Abel Cheung <deaddog@mandriva.org> 2.4.5-2mdk
- rpmlint fixes

* Sun Oct 02 2005 Abel Cheung <deaddog@mandriva.org> 2.4.5-1mdk
- New release 2.4.5

* Mon Feb 07 2005 Abel Cheung <deaddog@mandrake.org> 2.4.4-1mdk
- New version

* Sat Jun 05 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.3-3mdk
- Rebuild with new gcc

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-2mdk
- Fix (build)requires and regeneration of auto* files

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-1mdk
- New version
- Patch1: Remove *_DISABLE_DEPRECATED compile flag, stardict still
  using obsolete features in gtk+ 2.2

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-5mdk
- Fix again menu: move in Office/Accessories, where it should be and where it
  should stay

* Sun Feb 15 2004 Abel Cheung <deaddog@deaddog.org> 2.4.2-4mdk
- Revert wrong menu

* Fri Feb 13 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-3mdk
- Fix menu

* Sun Nov 30 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-2mdk
- Fix zh_CN help document language code (should be zh-cn)

* Mon Nov 17 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-1mdk
- 2.4.2
- dictionary changed format, use Requires/Conflicts to reflect this

